# List editing hosts for a site

Fetches a list of editing hosts for a site.

Endpoint: GET /api/v1/sites/{siteId}/editinghosts
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `siteId` (string, required)
    The identifier of the site.

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string)
    The editing host ID.
Example value: 5aae1eeaea2440bf96f11f43da82c77b
    Example: 5aae1eeaea2440bf96f11f43da82c77b

  - `name` (string)
    The name of the editing host.
Example value: Default
    Example: Default

  - `appName` (string)
    The name of the app.
Example value: Default
    Example: Default

  - `layoutServiceConfiguration` (string)
    The server side rendering engine configuration URL.
Example value: https://xmc-eh-uniqueid.sitecorecloud.io:443/api/editing/config
    Example: https://xmc-eh-uniqueid.sitecorecloud.io:443/api/editing/config

  - `serverSideRenderingEngineEndpointUrl` (string)
    The server side rendering engine endpoint URL.
Example value: https://xmc-eh-uniqueid.sitecorecloud.io:443/api/editing/render
    Example: https://xmc-eh-uniqueid.sitecorecloud.io:443/api/editing/render

  - `serverSideRenderingEngineApplicationUrl` (string)
    The server side rendering engine application URL.
Example value: https://xmc-eh-uniqueid.sitecorecloud.io/
    Example: https://xmc-eh-uniqueid.sitecorecloud.io/

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

